[eMod] Children of Storm compatibility patch for Patchwork mod

By on February 14, 2014 11:53:33 AM from Elemental Forums Elemental Forums

webusver

Join Date 12/2012
+25

This is the patch mod for the original Children of Storm mod to make it compatible with Patchwork mod.

Link to download: www.nexusmods.com/fallenenchantress/mods/1891/?

Installation:

  1. Install Patchwork mod and Children of Storm mod.
  2. Compare version of the original mod that you downloaded with that is supplied in the compatibility patch.
  3. If versions are different there may be issues in compatibility.
  4. Overwrite the original content of Children of Storm mod with compatibility files.
Locked Post 30 Replies +1
Search this post
Subscription Options


Reason for Karma (Optional)
Successfully updated karma reason!
February 14, 2014 12:01:04 PM from Elemental Forums Elemental Forums

Currently the mod should work like stable beta. It has all standart functions compatible with Patchwork mod, but yet there are no boosted AI troops for CoS races, also Premium heroes and boosted troops for default races have no "_BG_" options. I hope there are no bugs.

Now it is suggested to play either only with CoS races, or only with default races. If you mix them, than default AI races will be stronger and will win over CoS AI races.

While I continue to work on boosted AI troops for CoS races, also Premium heroes and boosted troops for default races, I need your feeadback and bug hunting, as well as suggestions of how to improve the gameplay. Without your feedback this mod will take forever to be finished.

Reason for Karma (Optional)
Successfully updated karma reason!
February 17, 2014 12:00:45 PM from Elemental Forums Elemental Forums

Scheduled to the next weekend there may be a fully working release. I've already added "_BG_" stats to default units and premium heroes and reworked bonus AI troops (80+ units) for CoS races. All I have to do is to rework 400+ AI troops for remaining CoS races and seems that is all. Perhaps this will not be so much as it seemed at the start.

Reason for Karma (Optional)
Successfully updated karma reason!
February 17, 2014 4:10:24 PM from Elemental Forums Elemental Forums

I've added this to the Regularly Updated List of Mods for E:LH, underneath your Patchwork Mod entry.

 

Reason for Karma (Optional)
Successfully updated karma reason!
February 18, 2014 9:27:22 PM from Elemental Forums Elemental Forums

Quoting tjashen,

I've added this to the Regularly Updated List of Mods for E:LH, underneath your Patchwork Mod entry.



 

Thank you!

Reason for Karma (Optional)
Successfully updated karma reason!
February 21, 2014 10:49:17 PM from Elemental Forums Elemental Forums

The mod is updated to v.1.0. All races have the complete sets of AI units. Fixed few compatibility issues.

http://www.nexusmods.com/fallenenchantress/mods/1891/?

Reason for Karma (Optional)
Successfully updated karma reason!
February 21, 2014 11:14:47 PM from Elemental Forums Elemental Forums

Sorry, re-updated the package.

Reason for Karma (Optional)
Successfully updated karma reason!
February 22, 2014 1:37:56 PM from Elemental Forums Elemental Forums

Love you man!

Reason for Karma (Optional)
Successfully updated karma reason!
February 22, 2014 7:35:26 PM from Elemental Forums Elemental Forums

Found 2x bugs:

 

1- In the city build screen, there is a building improvement (1 turn) which is a blank square. (I'm playing undead)

 

2- In the shop there is an option to buy 3x centaur base (all of which have yellow triangle). Still playing undead.

 

I also play whith all of your compatible mods.

 

Thanks!

Reason for Karma (Optional)
Successfully updated karma reason!
February 22, 2014 7:49:45 PM from Elemental Forums Elemental Forums

I forgot, I don't use remove vanilla factions as I like to have plenty...

Reason for Karma (Optional)
Successfully updated karma reason!
February 23, 2014 4:47:33 AM from Elemental Forums Elemental Forums

Quoting Sunray242,
Found 2x bugs:



1- In the city build screen, there is a building improvement (1 turn) which is a blank square. (I'm playing undead)



2- In the shop there is an option to buy 3x centaur base (all of which have yellow triangle). Still playing undead.

Thank you for report. I will check this.

The unknown building comes from the compatibility patch.

The centaur base seems available even in original CoS mod.

Reason for Karma (Optional)
Successfully updated karma reason!
February 23, 2014 5:21:19 AM from Elemental Forums Elemental Forums

Kinda a dumb question but where do i put the "patchwork" folder in the "Children of Storm Compatibility patch"?

Reason for Karma (Optional)
Successfully updated karma reason!
February 23, 2014 5:24:21 AM from Elemental Forums Elemental Forums

Quoting Auggie12,
Kinda a dumb question but where do i put the "patchwork" folder in the "Children of Storm Compatibility patch"?

It should be there with other CoS modified folders. Patchwork folder just adds boosted units for CoS races.

Reason for Karma (Optional)
Successfully updated karma reason!
February 23, 2014 3:35:33 PM from Elemental Forums Elemental Forums

Thanks for this!  I really enjoy both the improvements and diversification from having both installed.  Makes for epic games!

 

Silly questions though, are both of these compatible with Demons and Wizards and what XtraDeconstruct items should I NOT use in conjunction with Patchwork?

Reason for Karma (Optional)
Successfully updated karma reason!
February 23, 2014 8:21:41 PM from Elemental Forums Elemental Forums

Other bug: Necromancer class: spirit neophyte skill (doesn't give the 2 mana tactical regeneration. I don't know if the other 5% ability works).

Reason for Karma (Optional)
Successfully updated karma reason!
February 24, 2014 5:45:40 AM from Elemental Forums Elemental Forums

Any ideas how to improve performance issues in tactical combat? The new Children of the storm heroes take forever to act? I have 64x, 8 gig ram and a nice geforce. I hope i don't have to upgrade again...

Reason for Karma (Optional)
Successfully updated karma reason!
February 25, 2014 12:10:01 PM from Elemental Forums Elemental Forums

Patchwork mod was updated to v.1.5.

If you use both Patchwork mod and Children of Storm mod together, I'd suggest to use v.1.4. and not upgrade to v.1.5. until I finish the next version of CoS compatibility patch, because CoS AI races still can't use summoned mounts.

Some notes:

I found that heroes wait a lot time if you use Demons and Wizards mod. Later I will check what can be done.

If Patchwork mod is used with cheat mode enabled, turns may take a lot of time to last. So, don't use cheat mod.

Reason for Karma (Optional)
Successfully updated karma reason!
February 25, 2014 12:12:47 PM from Elemental Forums Elemental Forums

Quoting Rheinguard,
Silly questions though, are both of these compatible with Demons and Wizards and what XtraDeconstruct items should I NOT use in conjunction with Patchwork?

Items are compatible and you can use them, but they only don't have PW specialabilities.

Quoting Sunray242,

Other bug: Necromancer class: spirit neophyte skill (doesn't give the 2 mana tactical regeneration. I don't know if the other 5% ability works).

This should be checked with the mod. The compatibility patch doesn't spoil anything.

Reason for Karma (Optional)
Successfully updated karma reason!
February 25, 2014 10:16:12 PM from Elemental Forums Elemental Forums

Quoting Sunray242,
1- In the city build screen, there is a building improvement (1 turn) which is a blank square. (I'm playing undead)

Somehow I lost this bug. I deleted ChildrenOfStorm_NoVanillaSov and ChildrenOfStorm_Rivermod folders and this bug disappeared. Later I reinstalled Children of Storm mod and patched it and now don't have this bug.

Centaur base remains available for all in the shop. This will be fixed in the soon update.

Reason for Karma (Optional)
Successfully updated karma reason!
February 25, 2014 10:31:38 PM from Elemental Forums Elemental Forums

Quoting Sunray242,
2- In the shop there is an option to buy 3x centaur base (all of which have yellow triangle). Still playing undead.

This issue is also found:

Code: xml
  1. <ImprovementType InternalName="CityHub1">
  2.         <UnlocksShopItem>centaur_base_mount3</UnlocksShopItem>
  3.         <UnlocksShopItem>centaur_base_mount</UnlocksShopItem>
  4.         <UnlocksShopItem>centaur_base_mount2</UnlocksShopItem>
  5.     </ImprovementType>

This adds centaur bases for everybody. If I delete this then centaurs will not be able to buy themselves ... new bases. Is it bad?

Reason for Karma (Optional)
Successfully updated karma reason!
February 27, 2014 12:16:46 AM from Elemental Forums Elemental Forums

So, do I need Patchwork compatibility AND Patchwork downloads? Or is it just, for example, CoS + Patchwork Compat?

Reason for Karma (Optional)
Successfully updated karma reason!
February 27, 2014 6:17:42 AM from Elemental Forums Elemental Forums

@ Webusver: I think removing Centaur base would be a good idea. Only centaurs can use them to create new centaur heroes. The rest of the other races can't use them. Most of the heroes that we get aren't from our race. I play undead and most of the time, I don't have the choice of an undead hero. I can live with that. Centaurs could live with that also I guess... I just want centaurs as NPC's or enemies!

Reason for Karma (Optional)
Successfully updated karma reason!
February 27, 2014 10:00:50 AM from Elemental Forums Elemental Forums

All the CoS centaur heroes (should) come with a base already.  The reason for the extra bases is that there are 3 different appearances for centaur bases - so you might want to e.g. choose the armored base for a level 1 centaur hero you turned into a Warrior/Defender if their original base was unarmored.

Since all races can recruit centaur heroes, all races need access to the bases in the shops.

If you eliminate them from shops, AFAIK the only impact will be that centaur heroes/sovs will be "stuck" with their original bases (or, if you neglected to select one at sovereign creation, no base at all.)  Probably not a big deal either way.

 

Reason for Karma (Optional)
Successfully updated karma reason!
February 27, 2014 12:03:09 PM from Elemental Forums Elemental Forums

Quoting InaneDugong,
So, do I need Patchwork compatibility AND Patchwork downloads? Or is it just, for example, CoS + Patchwork Compat?

You need all mods to be installed. Patchwork and Children of Storm first and then Compatibility patch.

Quoting Crastiloowa,
Since all races can recruit centaur heroes, all races need access to the bases in the shops.

Ok, the reason is found. If author made them, then they should remain.

 

Reason for Karma (Optional)
Successfully updated karma reason!
February 28, 2014 6:05:10 AM from Elemental Forums Elemental Forums

One quick question: when compatible mods (with patchwork mod) will get updated must we reinstall a new patch or the same ones you offer will be ok?

 

Thanks!

Reason for Karma (Optional)
Successfully updated karma reason!
March 2, 2014 6:07:25 AM from Elemental Forums Elemental Forums

Children of Storm compatibility patch is updated today to v.1.1.

Previous version was rather buggy and lots of non-working features were fixed.

Summoned mounts are also available to CoS factions.

CoS and vanilla factions were balanced and updated.

To install the compatibility patch you must overwrite existing folders with the new ones. If you delete them, then install original mod and then the compatibility patch.

Reason for Karma (Optional)
Successfully updated karma reason!
Stardock Forums v1.0.0.0    #101114  walnut1   Server Load Time: 00:00:00.0001937   Page Render Time: